##### Header #####

%define name		xpuyopuyo
%define version		0.9.8
%define release		%mkrel 1

Summary:	A puzzle game, somewhat like Tetris
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Games/Strategy
URL:		http://chaos2.org/xpuyopuyo/
BuildRequires:	gtk+1.2-devel libmikmod-devel xpm-devel


##### Description #####

%description
Xpuyopuyo is a UNIX port of a very big time sink :) . Puyo puyo is a puzzle
game, somewhat like Tetris (but much more involved in strategy), where you
strive to match up four "blobs" of the same color. Each match you make gives
points, and also dumps gray rocks on the opponent which are irritating and
troublesome to get rid of. Multiple matches at a time score more points, and
dump more rocks on the opponent (a quintuple-match will dump around 20 rocks
on the opponent, all at once).

##### Prep, Build & Install #####
%prep
%setup -q

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

##### Menu Entry #####
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=A puzzle game, somewhat like Tetris
Comment[de]=Ein Puzzle-Spiel ähnlich zu Tetris
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6.lzma
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

%changelog
* Fri Jul 02 2010 Oliver Burger <rpm@mandrivauser.de> 0.9.8-1mud2010.1
- rebuild for 2010.1

* Sun Nov 08 2009 Oliver Burger <rpm@mandrivauser.de> 0.9.8-1mud2010.0
- rebuild for 2010.0

* Sat Aug 22 2009 Oliver Burger <rpm@mandrivauser.de> 0.9.8-1mud2009.1
- initial package for Mandrivalinux
- built live on FrOSCon
